#!/bin/sh
# @Version: $Id: create-nescdumpjar.sh,v 1.6 2005/10/24 23:20:06 cxh Exp $
# @Author: Elaine Cheong
#
# @Copyright (c) 2005 The Regents of the University of California.
# All rights reserved.
#
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the
# above copyright notice and the following two paragraphs appear in all
# copies of this software.
#
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
# THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
# PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
# CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
# ENHANCEMENTS, OR MODIFICATIONS.
#
# 						PT_COPYRIGHT_VERSION_2
# 						COPYRIGHTENDKEY



# This script will generate nesc-dump.jar, assuming the nesc src
# directory contains both the .java and .class files.  If using
# Eclipse, you should set up the nesc project to use the source
# directory as the output directory.

###########################################################################
#   SETTINGS
###########################################################################

# Source directory for the nesc java tools.
SRC_DIR=$PTII/vendors/ptinyos/nesc/tools/java

# Note: if using the nc2moml install instructions, use this SRC_DIR instead.
#SRC_DIR=$PTII/vendors/ptinyos/nesc/tools/java

# Temporary directory for storing the jar sources.
# Warning!!! This directory will be automatically deleted!!!
TEMP_DIR=/tmp/nesc-dump

# Output directory for the jar file.
OUTPUT_DIR=$PTII/ptolemy/domains/ptinyos/lib

# Name of the jar file, without suffix.
OUTPUT_FILENAME=nesc-dump

###########################################################################

# Delete the output directory so that we can start from scratch, in
# case it already exists.
/bin/rm -rf $TEMP_DIR

# Create the output directory.
mkdir $TEMP_DIR

# Archive the files, but not CVS directories or files with pattern *~
# -C means change to directory $SRC_DIR first so that we don't include 
#   the full path.
gtar -C $SRC_DIR --exclude=CVS --exclude=*\~ -czf $TEMP_DIR/$OUTPUT_FILENAME.tgz net
echo "Created $OUTPUT_FILENAME.tgz in $TEMP_DIR"

# Extract the files.
cd $TEMP_DIR
gtar -xzf $OUTPUT_FILENAME.tgz
echo "Extracted $OUTPUT_FILENAME.tgz in $TEMP_DIR"

# Jar the files.
jar cvf $OUTPUT_DIR/$OUTPUT_FILENAME.jar net
echo "Created $OUTPUT_FILENAME.jar in $OUTPUT_DIR"

# Delete the $TEMP_DIR
#/bin/rm -rf $TEMP_DIR
#echo "Deleted $TEMP_DIR"
